Package com.independentsoft.office.odf.styles

# Enum Class TextAlignmentLastLine

java.lang.Object
java.lang.Enum<TextAlignmentLastLine>
com.independentsoft.office.odf.styles.TextAlignmentLastLine

All Implemented Interfaces:
  `Serializable`, `Comparable<TextAlignmentLastLine>`, `Constable`

public enum TextAlignmentLastLine extends Enum<TextAlignmentLastLine>
Represents the text alignment for the last line.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTER`
  Center text alignment.
  `JUSTIFY`
  Justify text alignment.
  `NONE`
  None.
  `START`
  Start text alignment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextAlignmentLastLine`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextAlignmentLastLine[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### START

    public static final TextAlignmentLastLine START
    Start text alignment.

  - ### CENTER

    public static final TextAlignmentLastLine CENTER
    Center text alignment.

  - ### JUSTIFY

    public static final TextAlignmentLastLine JUSTIFY
    Justify text alignment.

  - ### NONE

    public static final TextAlignmentLastLine NONE
    None.

- ## Method Details

  - ### values

    public static TextAlignmentLastLine[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextAlignmentLastLine valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null